### Method

# Meta Window frame_rect_to_client_rect

#### Declaration [src]

    void
    meta_window_frame_rect_to_client_rect (
      MetaWindow* window,
      MtkRectangle* frame_rect,
      MtkRectangle* client_rect
    )

#### Description [src]

Converts a desired frame bounds for a window into the bounds of the client window.

#### Parameters

`frame_rect`

  Type: `MtkRectangle`

  Desired frame bounds for the window.

  The data is owned by the caller of the method.

`client_rect`

  Type: `MtkRectangle`

  Location to store the computed corresponding client rectangle.

  The argument will be set by the function.
  The returned data is owned by the instance.